Subject: Re: linux-next: new objtool warnings

From: Peter Zijlstra <[email-masked]>
Date: Wed, 5 Nov 2025 20:16:13 +0100

On Wed, Nov 05, 2025 at 10:07:15AM -0700, Nathan Chancellor wrote:

>   $ make -skj"$(nproc)" ARCH=x86_64 vmlinux.o
>   Makefile:1912: warning: overriding recipe for target 'vmlinux.o'
>   Makefile:1150: warning: ignoring old recipe for target 'vmlinux.o'
>   make[2]: *** No rule to make target 'vmlinux.o'.
> 
> When did this work? 

Dunno, I have vague memories of it working. The only reason I tried
is that vmlinux seems to be misbehaving.

> As for the second comment, if I build the vmlinux target, I see:
> 
>   AR      built-in.a
>   AR      vmlinux.a
>   LD      vmlinux.o
>   MODPOST vmlinux.symvers
>   CC      .vmlinux.export.o
>   UPD     include/generated/utsversion.h
>   CC      init/version-timestamp.o
>   KSYMS   .tmp_vmlinux0.kallsyms.S
>   AS      .tmp_vmlinux0.kallsyms.o
>   LD      .tmp_vmlinux1
>   NM      .tmp_vmlinux1.syms
>   KSYMS   .tmp_vmlinux1.kallsyms.S
>   AS      .tmp_vmlinux1.kallsyms.o
>   LD      .tmp_vmlinux2
>   NM      .tmp_vmlinux2.syms
>   KSYMS   .tmp_vmlinux2.kallsyms.S
>   AS      .tmp_vmlinux2.kallsyms.o
>   LD      vmlinux.unstripped
>   NM      System.map
>   SORTTAB vmlinux.unstripped
>   OBJCOPY vmlinux
>   OBJCOPY modules.builtin.modinfo
>   GEN     modules.builtin

# make O=tmp-build clean
# make O=tmp-build allmodconfig
# make O=tmp-build -j64 vmlinux 2>&1 | grep "\[M\]"
  CC [M]  sound/sound_core.o
  CC [M]  virt/lib/irqbypass.o
  AS [M]  arch/x86/crypto/twofish-x86_64-asm_64.o
  CC [M]  arch/x86/crypto/twofish_glue.o
  CC [M]  samples/vfio-mdev/mtty.o
  CC [M]  sound/ac97_bus.o
  AS [M]  arch/x86/crypto/twofish-x86_64-asm_64-3way.o
  CC [M]  arch/x86/crypto/twofish_glue_3way.o